Page MenuHomePhabricator

Use the correct Bengali Wikipedia wordmark on mobile site
Closed, ResolvedPublic

Description

Hi, The current (header & footer) logo shown on Bengali Wikipedia mobile site is the default English one. Please change the English logo and use following logo:

Final SVG to be deployed

similar: T157476

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2017, 7:28 PM
Aftabuzzaman updated the task description. (Show Details)May 6 2017, 7:32 PM
Aftabuzzaman updated the task description. (Show Details)May 7 2017, 2:45 PM
Aftabuzzaman added a subscriber: Nirzar.EditedMay 7 2017, 2:56 PM

@Nirzar Could you please fix the problem of this svg? SVG validator gives a warning & says "Byte-Order Mark found in UTF-8 File".

For re-creating: file details: 18 x 79, font size 20px used font SolaimanLipi (I thing we need to increase width & height e.g 20x90, font size 23, otherwise this https://i.imgur.com/vIbPxmJ.png will happen)

Nirzar added a subscriber: Jdlrobson.EditedMay 8 2017, 1:23 AM

Certainly!
Here's the svg with 21px height. hope it doesn't give any other errors.

cc @Jdlrobson

details for deployment config

  • height:21 width:92
  • Project bn.wikipedia.org

Here's expected end result with these dimensions

Thanks. Looks good to me. Hope there will be no problem after deployment.

Nirzar added a comment.May 8 2017, 3:10 AM

@Aftabuzzaman cool. I will put it on our sprint and inform here about the progress.

Nirzar triaged this task as Normal priority.May 8 2017, 3:11 AM
Nirzar moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
Nirzar updated the task description. (Show Details)

Change 352547 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Add Bengali logo to mobile site

https://gerrit.wikimedia.org/r/352547

Change 352547 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Bengali logo to mobile site

https://gerrit.wikimedia.org/r/352547

Mentioned in SAL (#wikimedia-operations) [2017-05-08T14:08:21Z] <zfilipin@tin> Synchronized static/images/mobile/copyright/wikipedia-wordmark-bn.svg: SWAT: [[gerrit:352547|Add Bengali logo to mobile site (T164652)]] (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-05-08T14:09:10Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:352547|Add Bengali logo to mobile site (T164652)]] (duration: 00m 39s)

@Aftabuzzaman @Nirzar this is now deployed. Please verify and resolve if all is good :)

Aftabuzzaman closed this task as Resolved.May 8 2017, 2:38 PM

Looks ok. I'm closing this & thanks for help.

Aftabuzzaman added a subscriber: Bodhisattwa.EditedMay 8 2017, 11:36 PM

@Jdlrobson Right now there is strange behaviour. If I browse bnwiki mobile site without login the wordmark shown in english even after clearing the cache but if i login it shown in bengali. I just confirmed with @Bodhisattwa about this.

@Aftabuzzaman It's most probably a server side caching issue. it will automatically fix it in couple of days. I will let @Jdlrobson confirm this

Caching yes. action=purge should fix it.